## org.hornetq.spi.core.remoting
Interface BufferDecoder

All Known Subinterfaces:
  ProtocolManager

    public interface BufferDecoder

A BufferDecoder

Author:
  tim

Method Summary
`int` `isReadyToHandle(HornetQBuffer buffer)` called by the remoting system prior to `BufferHandler.bufferReceived(Object, org.hornetq.api.core.HornetQBuffer)`.

Method Detail

### isReadyToHandle

    int isReadyToHandle(HornetQBuffer buffer)

  called by the remoting system prior to `BufferHandler.bufferReceived(Object, org.hornetq.api.core.HornetQBuffer)`.

  The implementation should return true if there is enough data in the buffer to decode. otherwise false.

  Parameters:
    `buffer` - the buffer
  Returns:
    true id the buffer can be decoded..

Copyright © 2009 Red Hat Inc. All Rights Reserved.